#pragma once
#include "TreeOptionsCtrlEx.h"
#include "preferences.h" //>> pP: Localize.ini

class CPPgTweaksMod2 : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgTweaksMod2)

public:
	CPPgTweaksMod2();
	virtual ~CPPgTweaksMod2();

// Dialog Data
	enum { IDD = IDD_PPG_TWEAKS_PP2 };
	
	void Localize(void);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	virtual BOOL OnInitDialog();
	virtual BOOL OnApply();
	virtual BOOL OnKillActive();
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()
	afx_msg void OnDestroy();
	afx_msg LRESULT OnTreeOptsCtrlNotify(WPARAM wParam, LPARAM /*lParam*/);
	afx_msg void OnHelp();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);

	CTreeOptionsCtrlEx m_ctrlTreeOptions;
	bool m_bInitializedTreeOpts;

//////////////////////////////////////////////////////////////////////////////////////
// vars
protected:
	void    SetNull();

	//>> pP: FunnyNicks [xrmb]
	HTREEITEM m_htiDisplayGroup;
	HTREEITEM m_htiListAddonGroup;
	HTREEITEM m_htiFunnyNick_Group;
	HTREEITEM m_htiFunnyNick_Group_Pos;
	HTREEITEM m_htiFunnyNick_Group_Type;
	HTREEITEM m_htiFunnyNick_Long;
	HTREEITEM m_htiFunnyNick_Short;
	HTREEITEM m_htiFunnyNick_None;
	HTREEITEM m_htiFunnyNick_Front;
	HTREEITEM m_htiFunnyNick_back;
	HTREEITEM m_htiFunnyNick_Show;
	bool m_bFunnyNick_Show;
	int m_iFunnyNick_Pos;
	int m_iFunnyNick_Type;
	//>> pP: FunnyNicks [xrmb]

	//>> pP: Chunkdots [Slugfiller]
	HTREEITEM m_htiChunkDots;
	bool  m_bChunkDots;
	//<< pP: Chunkdots [Slugfiller]

	//>> pP: ModIconDLL [WiZaRd/Shadow2004]
	HTREEITEM m_htiModIconGrp;
	HTREEITEM m_htiShowModIcons;
	HTREEITEM m_htiModIconUpdate;
	bool m_bModIconUpdate;
	bool m_bShowModIcons;
	//<< pP: ModIconDLL [WiZaRd/Shadow2004]

	//>> pP: IP2C [EastShare]
	HTREEITEM	m_htiI2CGroup;
	HTREEITEM	m_htiI2CCapGroup;
	HTREEITEM	m_htiI2C2Letter;
	HTREEITEM	m_htiI2C3Letter;
	HTREEITEM	m_htiI2CFullCaption;
	HTREEITEM	m_htiI2CShowFlag;
	HTREEITEM	m_htiIP2CFileFlags;
	HTREEITEM   m_htiIP2CUpdate;
	bool		m_bIP2CUpdate;
	int			m_iI2CCaption;
	bool		m_bI2CShowFlag;
	bool		m_bIP2CFileFlags;
	//<< pP: IP2C [EastShare]

	//>> pP: ColoredActiveDLs
	HTREEITEM m_htiGrpColor;
	HTREEITEM m_htiColBLK;
	HTREEITEM m_htiColYEL;
	HTREEITEM m_htiColBLU;
	HTREEITEM m_htiColRED;
	HTREEITEM m_htiColGRN;
	HTREEITEM m_htiColGRY;
	int   m_iColorNr;
	bool	m_bColorName;
	HTREEITEM m_htiColorName;
	//<< pP: ColoredActiveDLs

	//>> pP: BoldActiveDLs
	HTREEITEM m_htiBoldDLs;
	bool  m_bBoldDLs;
	//<< pP: BoldActiveDLs

	// X-Ray :: ClientPercentage :: Start
	HTREEITEM m_htiClientPercentages;
	bool m_bClientPercentages;
	// X-Ray :: ClientPercentage :: End

	//>> pP: DiffQR [jva]
	HTREEITEM m_htiShowDiffQR;
	bool m_bShowDiffqr;
	//<< pP: DiffQR [jva]

};
